summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorvmalloc2015-06-13 21:21:28 +0200
committervmalloc2015-06-13 21:21:28 +0200
commit3700a3bb209b6ed953dcb28f6081b883ab116d91 (patch)
tree30bf60427a8b9c11e04551b0bd5ce3205b76f76b
downloadaur-3700a3bb209b6ed953dcb28f6081b883ab116d91.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rwxr-xr-xPKGBUILD26
2 files changed, 40 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..27d029f8976
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = cisco-regex
+ pkgdesc = Cisco::Regex is made to lint standard and extended ip access lists on the Cisco IOS platform
+ pkgver = 0.92
+ pkgrel = 00
+ url = http://jeremy.kister.net/code/Cisco-Regex-0.92/README
+ arch = i686
+ arch = x86_64
+ license = Artistic License
+ depends = perl
+ source = http://jeremy.kister.net/code/Cisco-Regex-0.92.tgz
+ sha512sums = 8bdf631a049fae54689a31efe2dce9c8dbfa4b5b451f8cf87b0d1ea6e17d337313eff896a078f0e5f971f47d434b43a50309e656b8b79d7ba781558c9470dde2
+
+pkgname = cisco-regex
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..1ffccb7af8e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: vmalloc support@cyborg-connect.de
+pkgname=cisco-regex
+pkgver=0.92
+pkgrel=00
+pkgdesc="Cisco::Regex is made to lint standard and extended ip access lists on the Cisco IOS platform"
+arch=('i686' 'x86_64')
+url="http://jeremy.kister.net/code/Cisco-Regex-0.92/README"
+license=('Artistic License')
+depends=('perl')
+makedepends=()
+source=("http://jeremy.kister.net/code/Cisco-Regex-$pkgver.tgz")
+
+sha512sums=('8bdf631a049fae54689a31efe2dce9c8dbfa4b5b451f8cf87b0d1ea6e17d337313eff896a078f0e5f971f47d434b43a50309e656b8b79d7ba781558c9470dde2')
+
+
+build() {
+ cd "$srcdir/Cisco-Regex-$pkgver"
+ perl Makefile.PL || return 1
+ make || return 1
+ make test || return 1
+}
+
+package() {
+ cd "${srcdir}"/Cisco-Regex-${pkgver}
+ make install DESTDIR="${pkgdir}"
+}